Method: networks.webProperties.adReviewCenterAds.fetchCustomLabels

Fetches all custom labels for a publisher. Custom labels can help you filter and find creatives with the associated label. For more information, see https://support.google.com/admanager/answer/13812863.

HTTP request

GET https://admanager.googleapis.com/v1/{parent}/adReviewCenterAds:fetchCustomLabels

Path parameters

Parameters
parent

string

Required. The parent, which owns this collection of AdReviewCenterAds custom labels. Format: networks/{networkCode}/webProperties/{webPropertyCode}

Since a network can only have a single web property of each ExchangeSyndicationProduct, you can use the ExchangeSyndicationProduct as an alias for the web property code:

networks/{networkCode}/webProperties/display

networks/{networkCode}/webProperties/videoAndAudio

networks/{networkCode}/webProperties/mobileApp

networks/{networkCode}/webProperties/games

Request body

The request body must be empty.

Response body

Response object for adReviewCenterAds.fetchCustomLabels method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "customLabels": [
    {
      object (CustomLabel)
    }
  ]
}
Fields
customLabels[]

object (CustomLabel)

Output only. The list of custom labels.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/admanager
  • https://www.googleapis.com/auth/admanager.readonly

For more information, see the OAuth 2.0 Overview.

CustomLabel

A custom label for an Ad Review Center ad. Custom labels can help you filter and find creatives with the associated label. For more information, see https://support.google.com/admanager/answer/13812863.

JSON representation
{
  "labelId": string,
  "displayName": string
}
Fields
labelId

string

Output only. The unique identifier of the custom label.

displayName

string

Output only. The user-defined display name of the custom label.